/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - resource-logo-action.helper.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {ResourceActionHelper} from "../resource/resource-action.helper";
import {ResourceLogoNameSpace} from "./resource-logo-namespace.model";
import {ResourceLogoAction} from "./resource-logo.action";

export class ResourceLogoActionHelper extends ResourceActionHelper {
  static getPhoto(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.GetPhoto>): ResourceLogoAction.GetPhoto {
    return new resourceLogoNameSpace.GetPhoto(...args);
  }

  static getPhotoSuccess(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.GetPhotoSuccess>): ResourceLogoAction.GetPhotoSuccess {
    return new resourceLogoNameSpace.GetPhotoSuccess(...args);
  }

  static getPhotoFail(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.GetPhotoFail>): ResourceLogoAction.GetPhotoFail {
    return new resourceLogoNameSpace.GetPhotoFail(...args);
  }

  static getPhotoByResId(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.GetPhotoByResId>): ResourceLogoAction.GetPhotoByResId {
    return new resourceLogoNameSpace.GetPhotoByResId(...args);
  }

  static getPhotoByResIdSuccess(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.GetPhotoByResIdSuccess>): ResourceLogoAction.GetPhotoByResIdSuccess {
    return new resourceLogoNameSpace.GetPhotoByResIdSuccess(...args);
  }

  static getPhotoByResIdFail(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.GetPhotoByResIdFail>): ResourceLogoAction.GetPhotoByResIdFail {
    return new resourceLogoNameSpace.GetPhotoByResIdFail(...args);
  }

  static deletePhoto(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.DeletePhoto>): ResourceLogoAction.DeletePhoto {
    return new resourceLogoNameSpace.DeletePhoto(...args);
  }

  static deletePhotoSuccess(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.DeletePhotoSuccess>): ResourceLogoAction.DeletePhotoSuccess {
    return new resourceLogoNameSpace.DeletePhotoSuccess(...args);
  }

  static deletePhotoFail(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.DeletePhotoFail>): ResourceLogoAction.DeletePhotoFail {
    return new resourceLogoNameSpace.DeletePhotoFail(...args);
  }

  static uploadPhoto(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.UploadPhoto>): ResourceLogoAction.UploadPhoto {
    return new resourceLogoNameSpace.UploadPhoto(...args);
  }

  static uploadPhotoSuccess(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.UploadPhotoSuccess>): ResourceLogoAction.UploadPhotoSuccess {
    return new resourceLogoNameSpace.UploadPhotoSuccess(...args);
  }

  static uploadPhotoFail(resourceLogoNameSpace: ResourceLogoNameSpace, ...args: ConstructorParameters<typeof ResourceLogoAction.UploadPhotoFail>): ResourceLogoAction.UploadPhotoFail {
    return new resourceLogoNameSpace.UploadPhotoFail(...args);
  }
}
